# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cabal-file-th

Name:           ghc-%{pkg_name}
Version:        0.2.3
Release:        11%{?dist}
Summary:        Template Haskell expressions for reading cabal files

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
# https://hackage.haskell.org/package/%{pkg_name}-%{version}/revisions/
Source1:        %{pkg_name}.cabal

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# does not need ghci for template-haskell
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-template-haskell-devel
# End cabal-rpm deps

%description
Template Haskell expressions for reading fields from a project's cabal file.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} .


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Fri Jul  8 2016 Jens Petersen <petersen@redhat.com> - 0.2.3-11
- latest Hackage revision

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep  1 2014 Jens Petersen <petersen@redhat.com> - 0.2.3-8
- allow Cabal-1.18
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 07 2013 Jens Petersen <petersen@redhat.com> - 0.2.3-4
- update to new simplified Haskell Packaging Guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 13 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-2
- does not use ghci for its template-haskell

* Tue Nov 06 2012 Jens Petersen <petersen@redhat.com> - 0.2.3-1
- update to 0.2.3
- added ghc_arches_with_ghci for template-haskell

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Mar 24 2012 Jens Petersen <petersen@redhat.com> - 0.2.2-2
- add license to ghc_files

* Sun Mar 04 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2-1
- Initial package

* Wed Feb 29 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.2-1
- spec file template generated by cabal2spec-0.25.4
